dbXML API

## com.dbxml.db.client.xmlrpc
Class ContentClientImpl

    java.lang.Object
      com.dbxml.db.client.xmlrpc.ConnectionManager
          com.dbxml.db.client.xmlrpc.ContentClientImpl

All Implemented Interfaces:
  ContentClient

public final class ContentClientImpl
extends ConnectionManager
implements ContentClient

ContentClientImpl

Field Summary

Fields inherited from class com.dbxml.db.client.xmlrpc.ConnectionManager
`CONNECTION, SECURE, STANDARD`

Fields inherited from interface com.dbxml.db.client.ContentClient
`TYPE_DOCUMENT, TYPE_VALUE`

Constructor Summary
`ContentClientImpl(dbXMLClientImpl dbxmlClient, CollectionClientImpl parent, java.lang.String path)`
`ContentClientImpl(dbXMLClientImpl dbxmlClient, java.lang.String path)`

Method Summary
`java.lang.String` `getCanonicalName()` getCanonicalName returns the canonical path for the Content.
`CollectionClient` `getCollection()` getCollection returns the CollectionClient that this ContentClientImpl belongs to.
`int` `getContentType()` getContainerType returns the content type for this client.
`org.w3c.dom.Document` `getDocument()` getDocument returns the Document Content as a DOM Document.
`java.lang.String` `getDocumentAsText()` getDocumentAsText returns the Document Content as text.
`java.lang.String` `getKey()` getKey returns the Content Key.
`byte[]` `getValue()` getValue returns the Value Content as a byte array.
`void` `setDocument(org.w3c.dom.Document document)` setDocument sets or overwrites the Document Content.
`void` `setDocumentAsText(java.lang.String document)` setDocumentAsText sets or overwrites the Document Content.
`void` `setValue(byte[] value)` setValue sets or overwrites the Value Content.

Methods inherited from class com.dbxml.db.client.xmlrpc.ConnectionManager
`execute, executeBinary, executeBoolean, executeInt, executeList, executeMap, executeString, getClientPath, getProperties, getProperty, getXmlRpcClient, listProperties, setClientPath, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentClientImpl

    public ContentClientImpl(dbXMLClientImpl dbxmlClient,
                             CollectionClientImpl parent,
                             java.lang.String path)
                      throws dbXMLException

### ContentClientImpl

    public ContentClientImpl(dbXMLClientImpl dbxmlClient,
                             java.lang.String path)
                      throws dbXMLException

Method Detail

### getContentType

    public int getContentType()
                       throws dbXMLException

  Description copied from interface: `ContentClient`
  getContainerType returns the content type for this client. This value can either be TYPE_DOCUMENT or TYPE_VALUE.

  Specified by:
    `getContentType` in interface `ContentClient`
  Returns:
    The content type
  Throws:
    `dbXMLException`

### getKey

    public java.lang.String getKey()
                            throws dbXMLException

  Description copied from interface: `ContentClient`
  getKey returns the Content Key.

  Specified by:
    `getKey` in interface `ContentClient`
  Returns:
    The Content Key
  Throws:
    `dbXMLException`

### getCanonicalName

    public java.lang.String getCanonicalName()
                                      throws dbXMLException

  Description copied from interface: `ContentClient`
  getCanonicalName returns the canonical path for the Content.

  Specified by:
    `getCanonicalName` in interface `ContentClient`
  Returns:
    The canonical path
  Throws:
    `dbXMLException`

### getCollection

    public CollectionClient getCollection()
                                   throws dbXMLException

  Description copied from interface: `ContentClient`
  getCollection returns the CollectionClient that this ContentClientImpl belongs to.

  Specified by:
    `getCollection` in interface `ContentClient`
  Returns:
    The CollectionClient
  Throws:
    `dbXMLException`

### getDocumentAsText

    public java.lang.String getDocumentAsText()
                                       throws dbXMLException

  Description copied from interface: `ContentClient`
  getDocumentAsText returns the Document Content as text.

  Specified by:
    `getDocumentAsText` in interface `ContentClient`
  Returns:
    The Document content
  Throws:
    `dbXMLException`

### getDocument

    public org.w3c.dom.Document getDocument()
                                     throws dbXMLException

  Description copied from interface: `ContentClient`
  getDocument returns the Document Content as a DOM Document.

  Specified by:
    `getDocument` in interface `ContentClient`
  Returns:
    The Document content
  Throws:
    `dbXMLException`

### getValue

    public byte[] getValue()
                    throws dbXMLException

  Description copied from interface: `ContentClient`
  getValue returns the Value Content as a byte array.

  Specified by:
    `getValue` in interface `ContentClient`
  Returns:
    The Value content
  Throws:
    `dbXMLException`

### setDocumentAsText

    public void setDocumentAsText(java.lang.String document)
                           throws dbXMLException

  Description copied from interface: `ContentClient`
  setDocumentAsText sets or overwrites the Document Content.

  Specified by:
    `setDocumentAsText` in interface `ContentClient`
  Parameters:
    `document` - The new Document content
  Throws:
    `dbXMLException`

### setDocument

    public void setDocument(org.w3c.dom.Document document)
                     throws dbXMLException

  Description copied from interface: `ContentClient`
  setDocument sets or overwrites the Document Content.

  Specified by:
    `setDocument` in interface `ContentClient`
  Parameters:
    `document` - The new Document content
  Throws:
    `dbXMLException`

### setValue

    public void setValue(byte[] value)
                  throws dbXMLException

  Description copied from interface: `ContentClient`
  setValue sets or overwrites the Value Content.

  Specified by:
    `setValue` in interface `ContentClient`
  Parameters:
    `value` - The new Value content
  Throws:
    `dbXMLException`

dbXML API

Copyright (c) 2004 The dbXML Group